Subject: Re: you people drive CRAZY!

From: [email-masked] (David Harris)
Date: 29 Aug 1995 20:02:45 -0400

Red light running seems to me just another sign of the deteriorating social
situation in DC (and probably elsewhere).  Running red lights used to be almost
unknown here.  And today's pedestrians are no better.  It can be dangerous: I
had one woman with a white cane and evidently really blind start across the
street against the light because she evidently heard other pedestrians crossing
-- and this *after* I told her the light was not green for her.  (I was waiting
for it to change before *I* walked.)